image: maven:3.8.4-openjdk-8

stages:
  - build
  - test

cache:
  paths:
    - .m2/repository/

build:
  stage: build
  script: mvn compile

test:
  stage: test
  script: mvn clean verify
  artifacts:
    paths:
      - target/site/jacoco/
    reports:
      junit: target/surefire-reports/TEST-*.xml
